Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8198654

Switch FX's default GTK version to 3

    XMLWordPrintable

    Details

      Description

      See JDK-8198649 for the description and motivation.

      All the same reasons for doing this apply to FX. Additionaly, Swing interop requires the versions of GTK to be the same, so if we don't do this, then Swing interop applications will either get GTK 2 by default or GTK 3 by default depending on which library is loaded first.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                kcr Kevin Rushforth
                Reporter:
                kcr Kevin Rushforth
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: